Subject: [rohc] questions about dynamic compression

From: "Lv, Victor Shi Ming \(Victor\)" <[email-masked]>
Date: Tue, 22 Nov 2005 09:55:30 +0800

Hi, expert,

I have  three questions about the dynamic compression:

	1) how the compressor side to save a state?

	Since the compressor side know the UDVM layout, when compressor side save the state, it need to construct the UDVM layout, below is the UDVM lay out:
	==========================================
	|------------------------|
	|Scratch space           |  64 bytes
	|------------------------|-----
	|UDVM registers/variables|    ^
	|------------------------|    |
	|       UDVM Bytecode    |  Save as state for
	|------------------------| for next decompression.
	|        Circular        |    |
	|         Buffer         |    v
	|------------------------|-----

	=====================================

	So the saved state is a mirror of UDVM memory, other than only the uncompressed message as the state, am I right?

	One question is how do we know the registers/variable part in the UDVM memory layout? 

	2), in whatever case, the state ID of the compressor side is always the same with the UDVM created, which include the state memory is not enough. Am I right?

	3). To use the saved state, for zlib(deflate), we can use it as a dictionary directly when compress the next message. Am I right?

	Any suggestions and inputs are appreciated.

	Thanks,

	Victor

Victor Lv
=======================

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc